Bug 179434 - Xorg.log and xdpyinfo report different real screen size (in mm)
Xorg.log and xdpyinfo report different real screen size (in mm)
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-01-31 07:01 EST by Matthias Saou
Modified: 2011-05-26 12:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 05:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-01-31 07:01:48 EST
I've got FC development on an x86_64, with an ATI Radeon 9200SE card, connected
to a 37" LCD TV through DVI.

In my Xorg.log file, I can see :
(--) RADEON(0): Display dimensions: (820, 460) mm
(--) RADEON(0): DPI set to (31, 42)

Which is the correct real size (yes, it's big!). But in X, xdpyinfo reports :
screen #0:
  print screen:    no
  dimensions:    1024x768 pixels (839x464 millimeters)
  resolution:    31x42 dots per inch

The reported size differs slightly, and the calculated aspect ratio too. This
doesn't make much sense to me, since people forcing the screen size in
xorg.conf would probably expect to get the same values from xdpyinfo. Or is
there an explanation for this difference in values?
Comment 1 Mike A. Harris 2006-01-31 17:49:30 EST
Please attach your X server log and config file as individual uncompressed
file attachments using the link below.
Comment 2 Matthias Saou 2006-02-01 04:38:57 EST
You may already find them in bug #178897 as it's the same machine.
Comment 3 Mike A. Harris 2006-02-21 05:48:30 EST
If this issue turns out to still be reproduceable in FC5 test3,
please file a bug report in the X.Org bugzilla located at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "RAWHIDE".
Comment 4 Matthias Saou 2006-02-22 10:37:46 EST
Yes, still reproducable. So here you go :
Comment 5 Felipe Contreras 2011-05-25 07:23:48 EDT
Reopen this.
Comment 6 Matěj Cepl 2011-05-26 12:15:26 EDT
(In reply to comment #5)
> Reopen this.

Please, don't. File a new bug with your own logs (/var/log/Xorg.0.log, and output of dmesg, and of course /etc/X11/xorg.conf* if you have any).

Thank you

Note You need to log in before you can comment on or make changes to this bug.